Bug 6471 - column sorter on holds queue
Summary: column sorter on holds queue
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL: cgi-bin/koha/circ/view_holdsqueue.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-06 19:35 UTC by Nicole C. Engard
Modified: 2013-12-05 19:57 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.32 KB, patch)
2011-09-20 13:29 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6471: add tablesorter to Holds Queue (1.40 KB, patch)
2011-09-20 13:36 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6471: add tablesorter to Holds Queue (1.44 KB, patch)
2011-10-07 14:59 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-06-06 19:35:16 UTC
Would be nice if there was a column sorter on the holds queue so I could sort by date specifically, but why not sort them all :)

Nicole
Comment 1 Ian Walls 2011-09-20 13:29:44 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-09-20 13:36:26 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2011-10-07 14:59:29 UTC
Created attachment 5773 [details] [review]
Bug 6471: add tablesorter to Holds Queue

This patch adds the table sorter to Holds Queue.  Sponsored by Farmington Public Library.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 4 Paul Poulain 2011-10-07 15:00:07 UTC
QA comment:
  * small patch, affecting only templates
  * good description
  * good code

Passed QA
Comment 5 Owen Leonard 2011-10-07 15:33:11 UTC
Note that the tablesorter was added at an earlier time and then removed:

http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=dee5f4945b645bbd314602479f990a08a896370c

"As part of this patch, commented out the JavaScript tablesorter,
which could cause the browerer to lock up if the picklist
contains more than a couple hundred items to pull."
Comment 6 Paul Poulain 2011-10-07 15:36:15 UTC
(In reply to comment #5)
> "As part of this patch, commented out the JavaScript tablesorter,
> which could cause the browerer to lock up if the picklist
> contains more than a couple hundred items to pull."

I thought of this case (forgot to add it to my QA comment), but was thinking there was never more than hundred items to pull (otherwise, it means the library should check more frequently the list !)
on a 10 branches library, 100 every day means 300 000 items to pull per year, that's more than huge according to me !
Comment 7 Paul Poulain 2011-11-06 09:50:24 UTC
patch pushed, please test
Comment 8 Jared Camins-Esakov 2012-05-23 12:07:00 UTC
Included in 3.6 prior to 3.6.5.